set(MODULE_NAME client)

list(APPEND TARGET_HEADERS 
    TopBar.h
    StatusBar.h
    GuiApplication.h 
    TabbedPanelWidget.h
    TopBarMenu.h)

list(APPEND TARGET_SOURCES 
    TopBar.cpp
    StatusBar.cpp
    GuiApplication.cpp 
    TabbedPanelWidget.cpp
    TopBarMenu.cpp)

add_library(${MODULE_NAME} SHARED ${TARGET_SOURCES} ${TARGET_HEADERS})

target_link_libraries(${MODULE_NAME} ui_elements windows core console database geometry)

target_include_directories(${MODULE_NAME} PUBLIC
                            ${CMAKE_CURRENT_SOURCE_DIR}
                            ${CMAKE_CURRENT_SOURCE_DIR}/text_editor
                            ${CMAKE_CURRENT_SOURCE_DIR}/audio_editor
                            ${CMAKE_CURRENT_SOURCE_DIR}/image_editor
                            ${CMAKE_CURRENT_SOURCE_DIR}/web_client
                          )
set_property(TARGET ${MODULE_NAME} PROPERTY FOLDER src)
set_target_properties( ${MODULE_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON ) 